## qpxtool 0.7.1.002

=== Makefile ===
PREFIX    = /usr
BINDIR    = /usr/bin
SBINDIR   = /usr/sbin
LIBDIR    = /usr/lib
PLUGINDIR = /usr/lib/qpxtool
INCDIR    = /usr/include
MANDIR    = /usr/share/man

BINSUFF   = 
LIBS_HW   = 
LIBS_INET = 
LIBS_DL   = -ldl
LIBS_THREAD = -lpthread

LPNG_INC  = -I/usr/include/libpng12
LPNG_LIB  = -L/usr/lib -lpng12


CXXFLAGS += -Wall -O2 -fPIC -DUSE_LIBPNG  
CFLAGS   += -Wall -O2 -fPIC -DUSE_LIBPNG  
# additional debug options
CXXFLAGS += -g
CFLAGS   += -g
export PREFIX BINDIR SBINDIR LIBDIR PLUGINDIR INCDIR MANDIR BINSUFF LIBS_HW LIBS_INET LIBS_DL LIBS_THREAD
export LPNG_INC LPNG_LIB
export CXXFLAGS CFLAGS

all: cli gui
cli: lib console plugins man

lib:
	$(MAKE) -C lib

console: lib
	$(MAKE) -C console

plugins: lib
	$(MAKE) -C plugins

man:
	$(MAKE) -C man


gui: lib
	$(MAKE) -C gui

clean:
	$(MAKE) -C lib clean
	$(MAKE) -C console clean
	$(MAKE) -C plugins clean
	$(MAKE) -C man clean
	$(MAKE) -C gui clean

install: all cli_install gui_install

cli_install:
	$(MAKE) -C lib install
	$(MAKE) -C console install
	$(MAKE) -C plugins install
	$(MAKE) -C man install

gui_install:
	$(MAKE) -C gui install

uninstall: cli_uninstall gui_uninstall

cli_uninstall:
	$(MAKE) -C lib uninstall
	$(MAKE) -C console uninstall
	$(MAKE) -C plugins uninstall
	$(MAKE) -C man uninstall

gui_uninstall:
	$(MAKE) -C gui uninstall

help:
	@echo ""
	@echo "Alailable targets:"
	@echo "all           - build all"
	@echo "cli           - build libs and console tools"
	@echo "gui           - build gui only"
	@echo "install       - install all"
	@echo "cli_install   - install libs and console tools"
	@echo "gui_install   - install gui only"
	@echo ""
	@echo "clean         - clean source tree from object files"
	@echo "uninstall     - uninstall all"
	@echo "cli_uninstall - uninstall libs and console tools"
	@echo "gui_uninstall - uninstall gui only"

.PHONY: all clean cli lib console plugins man nogui gui install cli_install gui_install uninstall cli_uninstall gui_uninstall help

=== gui/Makefile ===
QTDIR=/opt/qt4/lib
QMAKE4= qmake4
export QTDIR QMAKE4

all: Makefile.qmake
	$(MAKE) -f Makefile.qmake 
	lrelease -verbose qpxtool.pro

clean: Makefile.qmake
	rm -f Makefile.qmake
	rm -f qpxtool
	rm -f obj/*
	rm -f moc/*
	rm -f *~
	rm -f src/*~
	rm -f include/*~
	rm -f locale/*.qm
	rm -f qrc_qpxtool.cpp

install: Makefile.qmake
	install -m 755 qpxtool $(DESTDIR)$(BINDIR)/qpxtool
	mkdir -p $(DESTDIR)$(PREFIX)/share/qpxtool/locale
	install -m 644 locale/*.qm $(DESTDIR)$(PREFIX)/share/qpxtool/locale
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 images/q.png $(DESTDIR)$(PREFIX)/share/pixmaps/qpxtool.png
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 qpxtool.desktop $(DESTDIR)$(PREFIX)/share/applications/qpxtool.desktop

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/qpxtool
	rm -rf $(DESTDIR)$(PREFIX)/share/qpxtool
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/qpxtool.png
	rm -f $(DESTDIR)$(PREFIX)/share/applications/qpxtool.desktop

Makefile.qmake:
	rm -f Makefile.qmake
	$(QMAKE4) LIBS+=-L../lib/lib LIBS+=-lqpxtransport CONFIG+=debug -o Makefile.qmake

.PHONY: all clean install uninstall

=== console/cdvdcontrol/Makefile ===
SRCS = $(patsubst %,%.cpp, cdvdcontrol)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = cdvdcontrol$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include
CFLAGS   += -I. -I../../lib/include
LDLIBS   += -L../../lib/lib -lqpxtransport -lqpxplextor -lqpxyamaha -lqpxpioneer

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 4755 $(BIN) $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)

.PHONY: all clean install uninstall

=== lib/qpxtransport/Makefile ===
SRC  = common_functions \
	qpx_transport \
	qpx_mmc \
	qpx_mmc_css \
	threads \
	sense

HDRS = include/qpx_mmc.h \
	include/qpx_transport.h \
	include/common_functions.h \
	include/threads.h \
	include/sense.h

LIBN = qpxtransport
SRCS = $(patsubst %,%.cpp, $(SRC))
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

VER_MAJOR  = 0
VER_MINOR  = 7
VER_MICRO  = 0

LDLIBS += $(LIBS_HW) $(LIBS_THREAD) $(LIBS_INET)

include ../Makefile.lib

=== debian/changelog ===
qpxtool (0.7.1.002-6) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.9.2).
  * Bumped debhelper version to 9 (was 7.0.50~); updated debian/compat.
  * Added file debian/patches/05-add-hardening-flags-in-compiler-options.patch.
  * Updated debian/rules: added hardening flags in compiler options.
  * Changed build dependency from libpng12-dev to libpng-dev.
    Added file debian/patches/04-fix-build-with-libpng15.patch.
    Added small hack in debian/rules (see LIBPNG_VER variable).
    Build with libpng version 1.5.10 was tested successfully.
    (Closes: #662481, #648127)
  * Used [kfreebsd-any] instead of hardcoded list of kFreeBSD architectures
    [kfreebsd-i386 kfreebsd-amd64] in build dependency. (Closes: #634714)
  * File debian/copyright was updated in according to Copyright format 1.0.
  * Fixed such lintian warnings and notes:
    - out-of-date-copyright-format-uri
    - hardening-no-relro and hardening-no-fortify-functions

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 26 Jun 2012 03:11:10 +0300

qpxtool (0.7.1.002-5) unstable; urgency=low

  * QA upload.
  * Bump Standards.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Jun 2011 13:04:12 +0200

qpxtool (0.7.1.002-4) unstable; urgency=low

  * We need both Breaks and Replaces fields.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Oct 2010 12:48:26 +0200

qpxtool (0.7.1.002-3) unstable; urgency=low

  * Link against libcam on kfreebsd to fix FTBFS.
  * debian/control:
    - Properly replace Conflicts/Replaces with Breaks fields.
    - Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Oct 2010 09:09:15 +0200

qpxtool (0.7.1.002-2) unstable; urgency=low

  * Correct little typo in the descriptions, thanks to Davide Prina for
    reporting this (Closes: #582445).
  * Change my email address.

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Jun 2010 19:48:46 +0200

qpxtool (0.7.1.002-1) unstable; urgency=low

  * New maintainer (Closes: #543879).
  * New upstream release.
  * Move packaging to collab-maint's git area.
  * Split libraries:
    - libqpx0 (shared libs)
    - libqpx-dev (development files)
  * debian/control:
    - Drop libqt3-mt-dev, it's no longer needed.
    - Build-depend on qmake-qt4.
    - Bump Standards.
    - Set DM-Upload-Allowed to yes.
    - Build-depend on libqt4-dev.
    - Build-depend on libpng12-dev.
    - Set Conflicts/Replaces proper fields.
  * Switch to 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Drop dpatch support:
    - Drop 02-typos.dpatch patch, no longer needed.
    - Drop 03-0.6.1.1.dpatch, no longer needed.
    - Drop 04-libata.dpatch patch, no longer needed.
    - 01-qtdir.dpatch -> 01-makefile.patch:
      + Drop QTDIR which seems to be not respected.
      + Set QMAKE4 properly.
      + Add DEP-3 compliant tags.
  * debian/patches/02-desktop_file.patch:
    - Fix desktop file as per spec.
  * debian/{libqpx0,qpxtool}.lintian-overrides:
    - "MultiMediaMasters & Machinary" is a manufacturer's name and not a
      spelling error.
  * debian/rules:
    - Cleanup.
    - Fix clean rule by passing the QMAKE4 envar.
  * Add watch file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 26 Apr 2010 09:36:21 +0200

qpxtool (0.6.1-5) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:17:45 +0200

qpxtool (0.6.1-4) unstable; urgency=medium

  * Adding patch from Mirko Parthey <mirko.parthey@informatik.tu-chemnitz.de>
    to make qpxtool work with libata (Closes: #463886).
  * Rediffing 0.6.1.1.dpatch.
  * Completing clean target in rules, thanks to Barry deFreese
    <bddebian@comcast.net> (Closes: #442718).
  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Rewriting copyright file in machine-interpretable format.
  * Adding suggests to pxfw in qpxtool.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Removing watch file.
  * Reverting Makefile.qmake to upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jul 2008 12:42:00 +0200

qpxtool (0.6.1-3) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Added manpage for deadreader and pioquiet.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 14:13:00 +0100

qpxtool (0.6.1-2) unstable; urgency=low

  * Applied patch from upstream to fix FTBFS with linux 2.6.23, thanks to
    Thomas Maguin <T.Maguin@web.de>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Oct 2007 14:47:00 +0200

qpxtool (0.6.1-1) unstable; urgency=low

  * New upstream release:
    - Including pxfw.
  * Updated 02-typos.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Sun, 02 Sep 2007 17:50:00 +0200

qpxtool (0.6.0.9-5) unstable; urgency=low

  * Extendet 04-patch.dpatch to also cover install, not just build.
    All build system caused breakages are now fixed (Closes: #413211).

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 14:40:00 +0100

qpxtool (0.6.0.9-4) unstable; urgency=low

  * Reordered dpatches, thanks Eduard for taking care about it before.
  * Added patch to disable another ldconfig call.
  * Added lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 13:06:00 +0100

qpxtool (0.6.0.9-3) unstable; urgency=low

  * 02-libflags.dpatch, 03-typos.dpatch: dpatch'ified upstream relevant
    changes from 0.6.0.9-2.1
  * 04-CWDA.dpatch: fixes typo in ./build, causing failure in a build
    environment with invalid $HOME (closes: #413211)

 -- Eduard Bloch <blade@debian.org>  Tue, 06 Mar 2007 18:30:31 +0100

qpxtool (0.6.0.9-2.1) unstable; urgency=low

  * NMU, blessed by maintainer
  * Added missing -fPIC flags on libraries, work around hidden build failures
    on amd64


=== debian/control ===
Source: qpxtool
Section: otherosfs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
 libcam-dev [kfreebsd-any],
 libpng-dev,
 qt4-qmake,
 libqt4-dev
Standards-Version: 3.9.3
Homepage: http://qpxtool.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/qpxtool.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qpxtool.git

Package: qpxtool
Architecture: any
Depends: ${shlibs:Depends},
 libqpx0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: pxfw
Description: CD/DVD quality checker
 QPxTool gives you access to all available Quality Checks (Q-Checks) on written
 and blank media, that are available for your drive. This will help you to find
 the right media and the optimized writing speed for your hardware, which will
 increase the chance for a long data lifetime.
 .
 QPxTool depends on the used drive, not all drives are able to read the Q-Checks
 and not all of them are supported by QPxTool. Currently, most newer drives of
 LiteOn, NEC, Pioneer and Plextor are supported.

Package: pxfw
Architecture: any
Depends: ${shlibs:Depends},
 libqpx0 (= ${binary:Version}),
 qpxtool,
 ${misc:Depends}
Description: Plextor firmware updater
 QPxTool gives you access to all available Quality Checks (Q-Checks) on written
 and blank media, that are available for your drive. This will help you to find
 the right media and the optimized writing speed for your hardware, which will
 increase the chance for a long data lifetime.
 .
 This package contains pxfw, a firmware flash program for Plextor optical
 drives.

Package: libqpx0
Breaks: qpxtool (<< 0.7.1.002-1)
Replaces: qpxtool (<< 0.7.1.002-1)
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: CD/DVD quality checker (shared libraries)
 QPxTool gives you access to all available Quality Checks (Q-Checks) on written
 and blank media, that are available for your drive. This will help you to find
 the right media and the optimized writing speed for your hardware, which will
 increase the chance for a long data lifetime.
 .
 This package contains the shared libraries for QPxTool.

Package: libqpx-dev
Breaks: qpxtool (<< 0.7.1.002-1)
Replaces: qpxtool (<< 0.7.1.002-1)
Architecture: any
Section: libdevel
Depends: libqpx0 (= ${binary:Version}),
 ${misc:Depends}
Description: CD/DVD quality checker (development files)
 QPxTool gives you access to all available Quality Checks (Q-Checks) on written
 and blank media, that are available for your drive. This will help you to find
 the right media and the optimized writing speed for your hardware, which will
 increase the chance for a long data lifetime.
 .
 This package contains the headers and development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
export QPXTRANSPORT_EXTRA_LIBS="-lcam"
endif

Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS

export LIBPNG_VER="png$(shell dpkg -l | grep libpng | sed -e 's:^.*  libpng\([0-9]*\).*$:\1:' | uniq)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) QMAKE4=qmake-qt4 clean

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 debian/pixmap/qpxtool.xpm debian/qpxtool/usr/share/pixmaps/qpxtool.xpm
	# Uncompress manpages (they are not max compressed)
	gunzip debian/tmp/usr/share/man/man*/*.gz

## qpxtool 0.7.2

=== console/Makefile ===
all: readdvd cdvdcontrol pxfw f1tattoo qscan qscand

clean install uninstall: 
	$(MAKE) -C readdvd     DIR=readdvd $@
	$(MAKE) -C cdvdcontrol DIR=cdvdcontrol $@
	$(MAKE) -C pxfw        DIR=pxfw $@
	$(MAKE) -C f1tattoo    DIR=f1tattoo $@
	$(MAKE) -C qscan       DIR=qscan $@
	$(MAKE) -C qscand      DIR=qscand $@


readdvd:
	$(MAKE) -C readdvd     DIR=readdvd

cdvdcontrol:
	$(MAKE) -C cdvdcontrol DIR=cdvdcontrol

pxfw:
	$(MAKE) -C pxfw        DIR=pxfw

f1tattoo:
	$(MAKE) -C f1tattoo    DIR=f1tattoo

qscan:
	$(MAKE) -C qscan       DIR=qscan

qscand:
	$(MAKE) -C qscand      DIR=qscand

.PHONY: all clean install uninstall readdvd cdvdcontrol pxfw f1tattoo qscan qscand

=== man/Makefile ===
MAN1DIR = $(DESTDIR)$(MANDIR)/man1
MAN8DIR = $(DESTDIR)$(MANDIR)/man8

all:

clean:

install:
	mkdir -p $(MAN1DIR)
	mkdir -p $(MAN8DIR)
	install -m 0644 f1tattoo.1.gz $(MAN1DIR)
	install -m 0644 pxfw.8.gz $(MAN8DIR)
	install -m 0644 cdvdcontrol.1.gz $(MAN1DIR)
	install -m 0644 qscan.1.gz $(MAN1DIR)
	install -m 0644 qscand.1.gz $(MAN1DIR)
	install -m 0644 qpxtool.1.gz $(MAN1DIR)
	install -m 0644 readdvd.1.gz $(MAN1DIR)

uninstall:
	rm -f $(MAN1DIR)/f1tattoo.1.gz
	rm -f $(MAN8DIR)/pxfw.8.gz
	rm -f $(MAN1DIR)/cdvdcontrol.1.gz
	rm -f $(MAN1DIR)/qscan.1.gz
	rm -f $(MAN1DIR)/qscand.1.gz
	rm -f $(MAN1DIR)/qpxtool.1.gz
	rm -f $(MAN1DIR)/readdvd.1.gz

.PHONY: all clean install uninstall

=== plugins/Makefile ===
all: generic plextor pioneer nec liteon asus benq benq_dvdrom tsst

clean install uninstall:
	$(MAKE) -C generic DIR=generic $@
	$(MAKE) -C plextor DIR=plextor $@
	$(MAKE) -C pioneer DIR=pioneer $@
	$(MAKE) -C nec     DIR=nec $@
	$(MAKE) -C liteon  DIR=liteon $@
	$(MAKE) -C asus    DIR=asus $@
	$(MAKE) -C benq    DIR=benq $@
	$(MAKE) -C benq_dvdrom DIR=benq_dvdrom $@
	$(MAKE) -C tsst    DIR=tsst $@

generic:
	$(MAKE) -C generic DIR=generic
plextor:
	$(MAKE) -C plextor DIR=plextor
pioneer:
	$(MAKE) -C pioneer DIR=pioneer
nec:
	$(MAKE) -C nec     DIR=nec
liteon:
	$(MAKE) -C liteon  DIR=liteon
asus:
	$(MAKE) -C asus    DIR=asus
benq:
	$(MAKE) -C benq    DIR=benq
benq_dvdrom:
	$(MAKE) -C benq_dvdrom DIR=benq_dvdrom
tsst:
	$(MAKE) -C tsst    DIR=tsst


.PHONY: all clean install uninstall generic plextor pioneer nec liteon asus benq benq_dvdrom tsst

=== console/readdvd/Makefile ===
SRCS = $(patsubst %,%.cpp, deadreader kbhit sectmap reader reader_disc imgwriter dvd_udf)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = readdvd$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include
CFLAGS   += -I. -I../../lib/include
LDLIBS   += -L../../lib/lib -lqpxtransport $(LIBS_THREAD)

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 $(BIN) $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)

.PHONY: all clean install uninstall

=== lib/qpxpioneer/Makefile ===
SRC  = pioneer_spdctl
HDRS = include/pioneer_spdctl.h
LIBN = qpxpioneer
SRCS = $(patsubst %,%.cpp, $(SRC))
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

VER_MAJOR  = 0
VER_MINOR  = 7
VER_MICRO  = 0

LDLIBS += -lqpxtransport -L../lib

include ../Makefile.lib

=== lib/qpxplextor/Makefile ===
SRC  = plextor_features
HDRS = include/plextor_features.h

LIBN = qpxplextor
SRCS = $(patsubst %,%.cpp, $(SRC))
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

VER_MAJOR  = 0
VER_MINOR  = 7
VER_MICRO  = 0

LDLIBS += -lqpxtransport -L../lib

include ../Makefile.lib

=== lib/qpxtransport/Makefile ===
--- 
+++ 
@@ -6,10 +6,14 @@
 	sense
 
 HDRS = include/qpx_mmc.h \
+	include/qpx_mmc_defs.h \
+	include/qpx_opcodes.h \
 	include/qpx_transport.h \
 	include/common_functions.h \
 	include/threads.h \
-	include/sense.h
+	include/sense.h \
+	include/csstables.h \
+	include/colors.h
 
 LIBN = qpxtransport
 SRCS = $(patsubst %,%.cpp, $(SRC))

=== plugins/pioneer/Makefile ===
LIBN = qscan_pioneer

include ../Makefile.plugin

=== plugins/plextor/Makefile ===
LIBN = qscan_plextor

include ../Makefile.plugin

=== debian/changelog ===
qpxtool (0.7.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch 07-fix-wr-mode-declarations.patch:
    - Fix declaration of char attributes in wr_mode. (Closes: #856231)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 27 Feb 2017 14:04:55 +0100

qpxtool (0.7.2-4) unstable; urgency=medium

  * Update debian/rules: delete option --parallel from dh command because it
    causes FTBFS on buildd hosts where parallel build is realy enabled.

 -- Boris Pek <tehnick@debian.org>  Sun, 13 Apr 2014 00:18:54 +0400

qpxtool (0.7.2-3) unstable; urgency=medium

  * Simplify patch 05-add-hardening-flags-in-compiler-options.patch.
  * Update debian/rules:
    - simplify rules after changes in related patch
    - add options --parallel and --list-missing to dh
  * Update debian/qpxtool.install.

 -- Boris Pek <tehnick@debian.org>  Sat, 12 Apr 2014 20:25:56 +0400

qpxtool (0.7.2-2) unstable; urgency=medium

  * Update debian/control:
    - udate using wrap-and-sort tool
    - delete now useless sections "Breaks: qpxtool (<< 0.7.1.002-1)"
    - add build dependency from hurd-dev on hurd-i386
  * Add patch 06-make-port-for-hurd-i386.patch:
    Make port for Debian GNU/Hurd.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 12 Apr 2014 16:19:23 +0400

qpxtool (0.7.2-1) unstable; urgency=medium

  * New maintainer. (Closes: #629599)
  * Update to stable release 0.7.2.
  * Bump Standards-Version to 3.9.5 (was 3.9.3).
  * Update patches
    - add 01-do_not_use_lib64_dir.patch
    - rewrite 03-ftbfs_kfreebsd.patch
    - rewrite 02-desktop_file.patch
    - update 04-fix-build-with-libpng15.patch
    - delete 01-makefile.patch (it is unnecessary now)
  * Update debian/rules:
    - add necessary options to configure script for installing files
      in according with Debian Policy
    - add get-orig-source section
    - simplify rules
  * Fix lintian notes vcs-field-not-canonical.
  * Update years in debian/copyright.
  * Update debian/qpxtool.docs.
  * Add debian/qpxtool.doc-base.
  * Fix a lot of lintian notes hyphen-used-as-minus-sign:
    - add fixed debian/man/* files
    - add debian/qpxtool.manpages and debian/pxfw.manpages
    - update debian/qpxtool.install and debian/pxfw.install
  * Update debian/libqpx0.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 26 Feb 2014 16:26:22 +0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: qpxtool
 Section: otherosfs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Boris Pek <tehnick@debian.org>
 Build-Depends: debhelper (>= 9),
- libcam-dev [kfreebsd-any],
- libpng-dev,
- qt4-qmake,
- libqt4-dev
-Standards-Version: 3.9.3
+               hurd-dev [hurd-i386],
+               libcam-dev [kfreebsd-any],
+               libpng-dev,
+               libqt4-dev,
+               qt4-qmake
+Standards-Version: 3.9.5
 Homepage: http://qpxtool.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/qpxtool.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qpxtool.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/qpxtool.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qpxtool.git
 
 Package: qpxtool
 Architecture: any
-Depends: ${shlibs:Depends},
- libqpx0 (= ${binary:Version}),
- ${misc:Depends}
+Depends: libqpx0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: pxfw
 Description: CD/DVD quality checker
  QPxTool gives you access to all available Quality Checks (Q-Checks) on written
@@ -30,10 +29,10 @@
 
 Package: pxfw
 Architecture: any
-Depends: ${shlibs:Depends},
- libqpx0 (= ${binary:Version}),
- qpxtool,
- ${misc:Depends}
+Depends: libqpx0 (= ${binary:Version}),
+         qpxtool,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Plextor firmware updater
  QPxTool gives you access to all available Quality Checks (Q-Checks) on written
  and blank media, that are available for your drive. This will help you to find
@@ -44,11 +43,8 @@
  drives.
 
 Package: libqpx0
-Breaks: qpxtool (<< 0.7.1.002-1)
-Replaces: qpxtool (<< 0.7.1.002-1)
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: CD/DVD quality checker (shared libraries)
  QPxTool gives you access to all available Quality Checks (Q-Checks) on written
  and blank media, that are available for your drive. This will help you to find
@@ -58,12 +54,9 @@
  This package contains the shared libraries for QPxTool.
 
 Package: libqpx-dev
-Breaks: qpxtool (<< 0.7.1.002-1)
-Replaces: qpxtool (<< 0.7.1.002-1)
 Architecture: any
 Section: libdevel
-Depends: libqpx0 (= ${binary:Version}),
- ${misc:Depends}
+Depends: libqpx0 (= ${binary:Version}), ${misc:Depends}
 Description: CD/DVD quality checker (development files)
  QPxTool gives you access to all available Quality Checks (Q-Checks) on written
  and blank media, that are available for your drive. This will help you to find

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = qpxtool

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --list-missing

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib --mandir=/usr/share/man

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.bz2"

=== debian/watch ===
version=3
opts=uversionmangle=s/_([\d]+)/.$1/ \
http://sf.net/qpxtool/qpxtool-(.*)\.tar\.bz2

## qpxtool 0.8.0

=== console/pxfw/Makefile ===
SRCS = $(patsubst %,%.cpp, pxfw)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = pxfw$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include
CFLAGS   += -I. -I../../lib/include
LDLIBS   += -L../../lib/lib -lqpxtransport -lqpxplextor

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 $(BIN) $(DESTDIR)$(SBINDIR)

uninstall:
	rm -f $(DESTDIR)$(SBINDIR)/$(BIN)

.PHONY: all clean install uninstall

=== console/qscan/Makefile ===
SRCS = $(patsubst %,%.cpp, qscan)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = qscan$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include
CFLAGS   += -I. -I../../lib/include
LDLIBS   += -L../../lib/lib -lqpxtransport -lqpxscan -lqpxplextor

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 4755 $(BIN) $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)
.PHONY: all clean install

=== lib/qpxscan/Makefile ===
SRC  = qpx_scan \
	qpx_scan_algo \
	qpx_writer

HDRS = include/qpx_scan.h \
	include/qpx_scan_plugin_api.h \
	include/qpx_writer.h

LIBN = qpxscan
SRCS = $(patsubst %,%.cpp, $(SRC))
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

VER_MAJOR  = 0
VER_MINOR  = 7
VER_MICRO  = 0

LDLIBS += $(LIBS_DL) -lqpxtransport -lqpxplextor -L../lib $(LIBS_INET)

include ../Makefile.lib

=== lib/qpxyamaha/Makefile ===
SRC  = yamaha_features
HDRS = include/yamaha_features.h
LIBN = qpxyamaha
SRCS = $(patsubst %,%.cpp, $(SRC))
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

VER_MAJOR  = 0
VER_MINOR  = 7
VER_MICRO  = 0

LDLIBS += -lqpxtransport -L../lib

include ../Makefile.lib

=== plugins/asus/Makefile ===
LIBN = qscan_asus

include ../Makefile.plugin

=== plugins/benq/Makefile ===
LIBN = qscan_benq

include ../Makefile.plugin

=== plugins/generic/Makefile ===
LIBN = qscan_generic

include ../Makefile.plugin

=== plugins/nec/Makefile ===
LIBN = qscan_nec

include ../Makefile.plugin

=== debian/changelog ===
qpxtool (0.8.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:32 +0100

qpxtool (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches: accepted in upstream.
  * Remove all man pages: accepted in upstream.
  * Remove debian/pxfw.manpages and debian/qpxtool.manpages.
  * Update debian/pxfw.install and debian/qpxtool.install
  * Update years in debian/copyright.
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 4.4.0): no changes required
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 12)
    - add "Rules-Requires-Root: no"
    - update Homepage URL
  * Remove debian/compat.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Wed, 29 Jan 2020 00:25:38 +0300

qpxtool (0.7.2-6) unstable; urgency=medium

  * Add patch 10-fix-checking-of-libpng:
    fixes enabling of PNG support in qpxtool.

 -- Boris Pek <tehnick@debian.org>  Fri, 13 Sep 2019 01:56:24 +0300

qpxtool (0.7.2-5) unstable; urgency=medium

  [ Boris Pek ]
  * Port to Qt5:
    - remove build dependencies from libqt4-dev and qt4-qmake
    - add build dependencies from qtchooser, qtbase5-dev, qttools5-dev and
      qttools5-dev-tools
    - add patch 08-port-to-qt5.patch
    (Closes: #875141)
  * Bump Standards-Version to 4.4.0 (was 3.9.5).
  * Bump debhelper version to 12~ (was 9); update debian/compat.
  * Simplify debian/libqpx0.lintian-overrides.
  * Update years in debian/copyright.
  * Update maintainer's email address.
  * Update debian/control: move package libqpx0 to Section libs.
  * Update debian/rules:
    - delete --list-missing option from dh
    - delete get-orig-source section and all related variables
    - add --no-parallel option for dh
    - enable all hardening flags
  * Delete extra files:
    - debian/gbp.conf
    - debian/pixmap/qpxtool.xpm
    - debian/qpxtool.lintian-overrides
    - debian/qpxtool.menu
  * Update debian/qpxtool.install.
  * Sort strings in debian/qpxtool.docs.
  * Add debian/patches/09-fix-spelling-errors.patch.
  * Fix spelling errors in debian/man/*.1 files.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Boris Pek <tehnick@debian.org>  Wed, 28 Aug 2019 04:03:45 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                hurd-dev [hurd-i386],
                libcam-dev [kfreebsd-any],
                libpng-dev,
-               libqt4-dev,
-               qt4-qmake
-Standards-Version: 3.9.5
-Homepage: http://qpxtool.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/qpxtool.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qpxtool.git
+               qtbase5-dev,
+               qtchooser,
+               qttools5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://qpxtool.sourceforge.io/
+Vcs-Git: https://salsa.debian.org/debian/qpxtool.git
+Vcs-Browser: https://salsa.debian.org/debian/qpxtool
 
 Package: qpxtool
 Architecture: any
@@ -44,6 +47,7 @@
 
 Package: libqpx0
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: CD/DVD quality checker (shared libraries)
  QPxTool gives you access to all available Quality Checks (Q-Checks) on written

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib --mandir=/usr/share/man

=== debian/watch ===
version=3
opts=uversionmangle=s/_([\d]+)/.$1/ \
https://sf.net/qpxtool/qpxtool-(.*)\.tar\.bz2

## qpxtool 0.8.1

=== lib/Makefile ===
all: qpxtransport qpxplextor qpxpioneer qpxyamaha qpxscan


#build targets
qpxtransport:
	$(MAKE) -C qpxtransport DIR=qpxtransport

qpxplextor: qpxtransport
	$(MAKE) -C qpxplextor   DIR=qpxplextor

qpxpioneer: qpxtransport
	$(MAKE) -C qpxpioneer   DIR=qpxpioneer

qpxyamaha: qpxtransport
	$(MAKE) -C qpxyamaha 	DIR=qpxyamaha

qpxscan: qpxtransport qpxplextor
	$(MAKE) -C qpxscan   	DIR=qpxscan


#clean targets
clean: qpxtransport-clean qpxplextor-clean qpxpioneer-clean qpxyamaha-clean qpxscan-clean

qpxtransport-clean:
	$(MAKE) -C qpxtransport DIR=qpxtransport clean

qpxplextor-clean:
	$(MAKE) -C qpxplextor   DIR=qpxplextor clean

qpxpioneer-clean:
	$(MAKE) -C qpxpioneer   DIR=qpxpioneer clean

qpxyamaha-clean:
	$(MAKE) -C qpxyamaha 	DIR=qpxyamaha clean

qpxscan-clean:
	$(MAKE) -C qpxscan   	DIR=qpxscan clean


#install targets
install: install-prereq qpxtransport-inst qpxplextor-inst qpxpioneer-inst qpxyamaha-inst qpxscan-inst

install-prereq:
	mkdir -p $(DESTDIR)$(INCDIR)/qpxtool


qpxtransport-inst:
	$(MAKE) -C qpxtransport DIR=qpxtransport install

qpxplextor-inst:
	$(MAKE) -C qpxplextor   DIR=qpxplextor install

qpxpioneer-inst:
	$(MAKE) -C qpxpioneer   DIR=qpxpioneer install

qpxyamaha-inst:
	$(MAKE) -C qpxyamaha 	DIR=qpxyamaha install

qpxscan-inst:
	$(MAKE) -C qpxscan   	DIR=qpxscan install


#uninstall targets
uninstall: qpxtransport-uninst qpxplextor-uninst qpxpioneer-uninst qpxyamaha-uninst qpxscan-uninst
	rm -rf $(DESTDIR)$(INCDIR)/qpxtool

qpxtransport-uninst:
	$(MAKE) -C qpxtransport DIR=qpxtransport uninstall

qpxplextor-uninst:
	$(MAKE) -C qpxplextor   DIR=qpxplextor uninstall

qpxpioneer-uninst:
	$(MAKE) -C qpxpioneer   DIR=qpxpioneer uninstall

qpxyamaha-uninst:
	$(MAKE) -C qpxyamaha 	DIR=qpxyamaha uninstall

qpxscan-uninst:
	$(MAKE) -C qpxscan   	DIR=qpxscan uninstall


.PHONY: all clean install install-prereq uninstall qpxtransport qpxplextor qpxpioneer qpxyamaha qpxscan

=== man/Makefile ===
--- 
+++ 
@@ -1,11 +1,39 @@
 MAN1DIR = $(DESTDIR)$(MANDIR)/man1
 MAN8DIR = $(DESTDIR)$(MANDIR)/man8
 
-all:
+all: f1tattoo.1.gz pxfw.8.gz cdvdcontrol.1.gz qscan.1.gz qscand.1.gz qpxtool.1.gz readdvd.1.gz
+
+f1tattoo.1.gz:
+	gzip -c f1tattoo.1 > f1tattoo.1.gz
+
+pxfw.8.gz:
+	gzip -c pxfw.8 > pxfw.8.gz
+
+cdvdcontrol.1.gz:
+	gzip -c cdvdcontrol.1 > cdvdcontrol.1.gz
+
+qscan.1.gz:
+	gzip -c qscan.1 > qscan.1.gz
+
+qscand.1.gz:
+	gzip -c qscand.1 > qscand.1.gz
+
+qpxtool.1.gz:
+	gzip -c qpxtool.1 > qpxtool.1.gz
+
+readdvd.1.gz:
+	gzip -c readdvd.1 > readdvd.1.gz
 
 clean:
+	rm -f f1tattoo.1.gz
+	rm -f pxfw.8.gz
+	rm -f cdvdcontrol.1.gz
+	rm -f qscan.1.gz
+	rm -f qscand.1.gz
+	rm -f qpxtool.1.gz
+	rm -f readdvd.1.gz
 
-install:
+install: f1tattoo.1.gz pxfw.8.gz cdvdcontrol.1.gz qscan.1.gz qscand.1.gz qpxtool.1.gz readdvd.1.gz
 	mkdir -p $(MAN1DIR)
 	mkdir -p $(MAN8DIR)
 	install -m 0644 f1tattoo.1.gz $(MAN1DIR)

=== console/f1tattoo/Makefile ===
SRCS = $(patsubst %,%.cpp, f1tattoo)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = f1tattoo$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include $(LPNG_INC)
CFLAGS   += -I. -I../../lib/include $(LPNG_INC)
LDLIBS   += -L../../lib/lib -lqpxtransport -lqpxyamaha $(LPNG_LIB)

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 4755 $(BIN) $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)

.PHONY: all clean install uninstall

=== console/qscand/Makefile ===
SRCS = $(patsubst %,%.cpp, qscand child)
OBJS = $(patsubst %.cpp,%.o,$(SRCS))

BIN = qscand$(BINSUFF)

CXXFLAGS += -I. -I../../lib/include
CFLAGS   += -I. -I../../lib/include
LDLIBS   += -L../../lib/lib -lqpxtransport

$(BIN): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS) $(LIBS_THREAD) $(LIBS_INET)

all:$(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 $(BIN) $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)
.PHONY: all clean install

=== plugins/benq_dvdrom/Makefile ===
LIBN = qscan_benq_dvdrom

include ../Makefile.plugin

=== plugins/liteon/Makefile ===
LIBN = qscan_liteon

include ../Makefile.plugin

=== plugins/tsst/Makefile ===
LIBN = qscan_tsst

include ../Makefile.plugin

=== debian/changelog ===
qpxtool (0.8.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Decrease debhelper-compat to 11.
  * Add QT_SELECT variable in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Tue, 17 Nov 2020 01:07:32 +0300

qpxtool (0.8.1-1) unstable; urgency=medium

  * New upstream release:
    fix build with latest versions of Qt 5.x (Closes: #964693)
  * Update debian/control:
    bump debhelper-compat to 13 (was 12): no changes required
  * Simplify debian/rules:
    - remove QT_SELECT variable
    - remove DEB_LDFLAGS_MAINT_APPEND with -Wl,--as-needed flag
  * Update debian/watch.

 -- Boris Pek <tehnick@debian.org>  Tue, 10 Nov 2020 22:36:06 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 11),
                hurd-dev [hurd-i386],
                libcam-dev [kfreebsd-any],
                libpng-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export QT_SELECT=qt5

=== debian/watch ===
version=4
opts=uversionmangle=s/_([\d]+)/.$1/ \
https://sf.net/qpxtool/qpxtool-(.*)\.tar\.bz2
